<?php
/*
addon_pfchecker.php : plug-in for watching users profiles updates in miniBB.
This file is part of miniBB. miniBB is free discussion forums/message board software, supplied with no warranties.
Check COPYING file for more details.
Copyright (C) 2009 Paul Puzyrev. www.minibb.com
Latest File Update: 2023-03-22
*/
if (!defined('INCLUDED776')) die ('Fatal error.');

if(file_exists($pathToFiles.'lang/pfchecker_'.$lang.'.php')) include($pathToFiles.'lang/pfchecker_'.$lang.'.php'); else include($pathToFiles.'lang/pfchecker_eng.php');

$title.=$l_pfc_profilesChecker;

if(isset($_GET['update']) and file_exists($verifyDataFile)){
$f=fopen($verifyDataFile, 'w');
fwrite($f, (int)$_GET['update']+1);
fclose($f);
clearstatcache();
header("Refresh: 0; url={$main_url}/{$indexphp}action=pfcheck");
exit;
}

if(file_exists($verifyDataFile)) {
$startDate=(int)file_get_contents($verifyDataFile);
}
else $startDate=0;

$select='';
foreach($displayFields as $d) $select.=$d.', ';

if($avatarsEnabled) {
include($pathToFiles.'addon_avatar_options.php');
$select.="{$avatarDbField}, ";
}

if($signaturesEnabled) $select.="{$sigDbField}, ";

if($photoAlbumEnabled) {
include($pathToFiles.'addon_pics_options.php');
$select.="{$picsDbField}, ";
}

$select.="{$pfupdateField}";

//$select=substr($select, 0, strlen($select)-2);

$displayFieldsAmount=sizeof($displayFields);

if($row=db_simpleSelect(0, $Tu, 'count(*)', $pfupdateField, '>=', $startDate)){
$numRows=$row[0];
}
else $numRows=0;

if($numRows>0){

$pageNav=pageNav($page,$numRows,"{$main_url}/{$indexphp}action=pfcheck",$viewmaxsearch,FALSE);
if($pageNav!='') {
$pageNavTpl=<<<out
<table class="tbTransparentmb">
<tr><td class="tbTransparentCell">{$pageNav}</td></tr>
</table>
out;
}
else $pageNavTpl='';
$makeLim=makeLim($page,$numRows,$viewmaxsearch);


$tmpl=<<<out
<table class="forumsmb">
<tr>
out;

if(!(isset($is_mobile) and $is_mobile)) $tmpl.=<<<out
<td class="caption3">
<a href="{$main_url}/{$startIndex}" class="mnblnk">{$sitename}</a> / {$l_pfc_profilesChecker}
out;
else{
$tmpl.=<<<out
<td class="caption3 vmBT">
<h1 class="headingTitle">{$l_pfc_profilesChecker}</h1>
out;
}

$tmpl.=<<<out
</td></tr>
</table>
{$pageNavTpl}
out;

if($row=db_simpleSelect(0, $Tu, $dbUserId.','.$select, $pfupdateField, '>=', $startDate, "{$pfupdateField} asc", $makeLim)){

do{

$cc=0;

//echo $displayFieldsAmount;
//print_r($row); exit;

$avatar='';
if($avatarsEnabled) {
$cc++;
$avatarValue=$row[$displayFieldsAmount+$cc];
if($avatarValue!=''){

if(file_exists("{$avatarDir}/{$row[0]}.{$avatarValue}")) $avatarDisp="{$avatarUrl}/{$row[0]}.{$avatarValue}";
else $avatarDisp="{$main_url}/img/forum_avatars/{$avatarValue}";

$avatar="{$brtag}<img src=\"{$avatarDisp}\" alt=\"\" title=\"\" style=\"margin-left:15px\">";
}
}

$signature='';
if($signaturesEnabled){
$cc++;
if($row[$displayFieldsAmount+$cc]!='') $signature='<span class="txtSm">Signature</span>: '.$brtag.'<span class="tbCel1">'.$row[$displayFieldsAmount+2].'</span>'.$brtag;
}

/* Photo Album */

$pictures='';
if($photoAlbumEnabled){

$picsDim="width:{$maxThPicWidth}px;height:{$maxThPicHeight}px;";

/*
if($usePicProportional==0) $picsDim="width:{$maxThPicWidth}px;height:{$maxThPicHeight}px;";
elseif($usePicProportional==1) $picsDim="height:{$maxThPicHeight}px;";
elseif($usePicProportional==2) $picsDim="width:{$maxThPicWidth}px;";
else $picsDim='';
*/

$cc++;

$picsDesc='';
$pics='';
$picValue=(int)$row[$displayFieldsAmount+$cc];

if($picValue>0){
include($picsDir.'/'.$row[0].'/picdata.php');
foreach($picData as $key=>$val) {

if($val[0]!='') $picsDesc.='('.$val[0].') ';

//for($i=1; $i<=$picValue; $i++){
if(file_exists("{$picsDir}/{$row[0]}/{$key}_th.jpg") and (file_exists("{$picsDir}/{$row[0]}/{$key}.jpg") or file_exists("{$picsDir}/{$row[0]}/{$key}.png"))) {

if(file_exists("{$picsDir}/{$row[0]}/{$key}.png")) $origFullExt='png'; else $origFullExt='jpg';

if($guestShowThumbnails) {
$srcTh="{$picsUrl}/{$row[0]}/{$key}_th.jpg";
}
else {
$srcTh="{$main_url}/{$viewFilename}?user={$row[0]}&amp;pic={$key}_th";
}

if($guestShowFullsize) {
$srcFull="{$picsUrl}/{$row[0]}/{$key}.{$origFullExt}";
}
else {
$srcFull="{$main_url}/{$viewFilename}?user={$row[0]}&amp;pic={$key}&amp;ext={$origFullExt}";
}

if(!(isset($is_mobile) and $is_mobile)) $sep=' '; else $sep=$brtag;

$pics.="<a href=\"{$srcFull}\" target=\"_blank\" class=\"mnblnk\"><img src=\"{$srcTh}\" alt=\"#{$key}\" title=\"#{$key}\" style=\"{$picsDim}\"></a>{$sep}";
}
else {
$picsDim.='border:1px #000 solid';
$pics.="<img src=\"{$main_url}/img/p.gif\" alt=\"#{$key} - Deleted?\" title=\"#{$key} - Deleted?\" style=\"{$picsDim}\"> ";
}
//}

}

$pictures=<<<out
{$picsDesc}{$brtag}{$pics}{$brtag}
out;
}
}

/* --Photo Album */

$cc++;

$profileUpdatedTime=$row[$displayFieldsAmount+$cc];
$profileUpdated=convert_date(date('Y-m-d H:i:s', $profileUpdatedTime));

/* Regular fields */

$langFieldDefs=array(
$dbUserSheme['user_icq'][1]=>$l_usrInfo[5],
$dbUserSheme['user_occ'][1]=>$l_usrInfo[7],
$dbUserSheme['user_from'][1]=>$l_usrInfo[8],
$dbUserSheme['user_interest'][1]=>$l_usrInfo[9],
);

$freeText='';
for($i=1; $i<$displayFieldsAmount; $i++){
if($displayFields[$i]=='user_website') $displayVal="<a href=\"{$row[$i+1]}\" target=\"_blank\" class=\"mnblnk\">{$row[$i+1]}</a>";
else $displayVal=$row[$i+1];

if($displayFields[$i]==$dbUserSheme['user_email'][1]) $def=''; else{
$def="<span class=\"txtSm\">".(isset($langFieldDefs[$displayFields[$i]])?$langFieldDefs[$displayFields[$i]]:$displayFields[$i])."</span>: ";
}

if($row[$i+1]!='' and $displayFields[$i]!=$dbUserSheme['num_posts'][1]) $freeText.="{$def}{$displayVal}{$brtag}";
}

if($user_id==1){
$delLink=" {$l_sepr} <a href=\"{$main_url}/{$indexphp}action=removeuser&amp;user={$row[0]}\" target=\"_blank\" class=\"mnblnk\">{$l_delete}</a>";
}
else $delLink='';

if($row[8]==0) $uIcon='t.gif'; else $uIcon='s.png';
$uIcon="<img src=\"{$main_url}/img/{$uIcon}\" alt=\"{$l_stats_numPosts}: {$row[8]}\" title=\"{$l_stats_numPosts}: {$row[8]}\">";

$tmpl.=<<<out
<table class="forumsmb">
<tr>
<td class="tbTransparentCell vmiddle">{$uIcon}&nbsp;<a href="{$main_url}/{$indexphp}action=prefs&amp;adminUser={$row[0]}" target="_blank" class="mnblnk">{$row[1]}</a>{$avatar}</td>
</tr>
<tr>
<td class="tbClCp vTop">
{$freeText}{$signature}
{$pictures}
<span class="txtSm">{$l_pfc_updated}: {$profileUpdated}{$brtag}{$l_sepr} <a href="{$main_url}/{$indexphp}action=pfcheck&amp;update={$profileUpdatedTime}" title="{$l_pfc_update_excl}" class="mnblnk">{$l_pfc_Check}</a>{$delLink}</span>
</td>
</tr>
</table>
out;

}
while($row=db_simpleSelect(1));

}

$tmpl.=<<<out
{$pageNavTpl}
out;
}

else{
$errorMSG='No updated profiles found!';
$tmpl=ParseTpl(makeUp('main_warning'));
}


echo load_header();
echo $tmpl;
return;

?>